import request from '@/utils/request'

// 查询物资检查记录--分页
export function listCheckRecord(query) {
  return request({
    url: '/iscs/check/getIsMaterialsCheckRecordPage',
    method: 'get',
    params: query
  })
}

// 新增物资检查记录
export function addCheckRecord(data) {
  return request({
    url: '/iscs/check/insertIsMaterialsCheckRecord',
    method: 'post',
    data: data
  })
}

// 修改物资检查记录
export function updateCheckRecord(data) {
  return request({
    url: '/iscs/check/updateIsMaterialsCheckRecord',
    method: 'post',
    data: data
  })
}

// 删除物资检查记录
export function deleteCheckRecord(data) {
  return request({
    url: '/iscs/check/deleteIsMaterialsCheckRecordByRecordIds?recordIds=' + data,
    method: 'post',
  })
}

// 获取检查记录详细信息
export function selectCheckRecordById(query) {
  return request({
    url: '/iscs/check/selectIsMaterialsCheckRecordById?recordId=' + query,
    method: 'get',
  })
}


